# Asterisk Project : Asterisk 13 Application_Incomplete

Created by wikibot on Aug 08, 2014

# Incomplete()

### Synopsis

Returns AST_PBX_INCOMPLETE value.

### Description

Signals the PBX routines that the previous matched extension is incomplete and that further input should be allowed before matching can be considered to be complete. Can be used within a pattern match when certain criteria warrants a longer match.

### Syntax

    Incomplete([n])

##### Arguments

- `n` - If specified, then Incomplete will not attempt to answer the channel first.

  Note

  Icon

  Most channel types need to be in Answer state in order to receive DTMF.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538